create or replace package DOCX_ADDPARAGRAPH_INDENTATION is
   -- Required procedure
  procedure genDOCX;
 
  -- Required variable
  v_docx blob;
   
  
end DOCX_ADDPARAGRAPH_INDENTATION;
/
create or replace package body DOCX_ADDPARAGRAPH_INDENTATION is
/* 2016-JAN-26 10:44 */
/* PL/PDF REPORTER 3.7.0 */
l_paragraph1 pls_integer;
l_text_idx1 pls_integer;
l_indentation1 ploffx_document_type.CT_Ind;
l_paragraph2 pls_integer;
l_text_idx2 pls_integer;
l_indentation2 ploffx_document_type.CT_Ind;
l_paragraph3 pls_integer;
l_text_idx3 pls_integer;
l_text_idx4 pls_integer;
l_indentation3 ploffx_document_type.CT_Ind;
l_paragraph4 pls_integer;
l_text_idx5 pls_integer;
l_text_idx6 pls_integer;
procedure genDOCX is
 begin 
ploffx_docx.init( );
/* START PARAGRAPH */
l_paragraph1 := ploffx_docx.crParagraph();
l_text_idx1 := ploffx_docx.addText( p_paragraph_id => l_paragraph1, p_text => 'AddParagraph_Indentation');
ploffx_docx.addParagraph(p_paragraph_id => l_paragraph1);
/* START PARAGRAPH */
l_indentation1 := ploffx_docx.crIndentation(p_left => 12.700);
l_paragraph2 := ploffx_docx.crParagraph(p_ind => l_indentation1);
l_text_idx2 := ploffx_docx.addText( p_paragraph_id => l_paragraph2, p_text => 'Paragraph indentation example', p_fontName => 'Arial', p_fontSize => 16);
ploffx_docx.addParagraph(p_paragraph_id => l_paragraph2);
/* START PARAGRAPH */
l_indentation2 := ploffx_docx.crIndentation(p_left => 25.400, p_firstLine => 38.100);
l_paragraph3 := ploffx_docx.crParagraph(p_ind => l_indentation2);
l_text_idx3 := ploffx_docx.addText( p_paragraph_id => l_paragraph3, p_text => 'Paragraph indentation example, left and first line: ', p_fontName => 'Arial', p_fontSize => 12);
l_text_idx4 := ploffx_docx.addText( p_paragraph_id => l_paragraph3, p_text => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer ut placerat libero, eu lobortis ante. Suspendisse sagittis felis sem, a ullamcorper libero semper eget. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Nam semper mi orci, ultrices tincidunt magna ultricies quis. Ut sodales nisi ac tincidunt auctor. Mauris ac tellus massa. Fusce ornare porttitor orci, vitae ornare nulla congue eu. Quisque vehicula, nisl id vestibulum gravida, tellus metus sollicitudin tortor, dignissim semper tellus elit quis quam. Aenean placerat mi eu ligula blandit blandit. Curabitur ut volutpat sapien. Nullam sed nisl enim. Proin id cursus quam.', p_fontName => 'Arial', p_fontSize => 10);
ploffx_docx.addParagraph(p_paragraph_id => l_paragraph3);
/* START PARAGRAPH */
l_indentation3 := ploffx_docx.crIndentation(p_left => 12.700, p_right => 12.700, p_firstLine => 25.400);
l_paragraph4 := ploffx_docx.crParagraph(p_ind => l_indentation3);
l_text_idx5 := ploffx_docx.addText( p_paragraph_id => l_paragraph4, p_text => 'Paragraph indentation example, left, right and first line: ', p_fontName => 'Arial', p_fontSize => 12);
l_text_idx6 := ploffx_docx.addText( p_paragraph_id => l_paragraph4, p_text => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer ut placerat libero, eu lobortis ante. Suspendisse sagittis felis sem, a ullamcorper libero semper eget. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Nam semper mi orci, ultrices tincidunt magna ultricies quis. Ut sodales nisi ac tincidunt auctor. Mauris ac tellus massa. Fusce ornare porttitor orci, vitae ornare nulla congue eu. Quisque vehicula, nisl id vestibulum gravida, tellus metus sollicitudin tortor, dignissim semper tellus elit quis quam. Aenean placerat mi eu ligula blandit blandit. Curabitur ut volutpat sapien. Nullam sed nisl enim. Proin id cursus quam.', p_fontName => 'Arial', p_fontSize => 10);
ploffx_docx.addParagraph(p_paragraph_id => l_paragraph4);
ploffx_docx.getDoc( p_blob_file => v_Docx);
end;
end DOCX_ADDPARAGRAPH_INDENTATION;
/
